package de.intevation.flys.artifacts;

import de.intevation.flys.model.CrossSectionLine;
/**
 * Interfacet, Artifact can create WaterLines (Water against Cross-Profile).
 */
public interface WaterLineArtifact {

    /** Get points that define a line of a (water)facet against a cross-
     * section. */
    public double [][] getWaterLines(int facetIdx, CrossSectionLine csl);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
